- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Fetch a list of Commits from a Git repository link.
HTTP request
GET https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchCommitList
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the GitRepositoryLink in the format |
Query parameters
| Parameters | |
|---|---|
ref |
Optional. The commit SHA, or symbolic revision (for example, branch name, tag, or Git reference) from which to start listing commits. |
pageSize |
Optional. Number of results to return in the list. Default is 50. Max is 100. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
view |
Optional. The level of commit details to return in the response. Only |
Request body
The request body must be empty.
Response body
Response message for gitRepositoryLinks.fetchCommitList.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"commits": [
{
object ( |
| Fields | |
|---|---|
commits[] |
The list of commit metadata. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
developerconnect.gitRepositoryLinks.fetchCommitList
For more information, see the IAM documentation.